Response language.
- Create order with specified item
Catalog API (2.0.0)
- Version: 2.0.0
- Servers:
https://store.xsolla.com/api - Contact Us by Email
- Contact URL: https://xsolla.com/
- Required TLS version: 1.2
Catalog API provides endpoints to manage your in-game store catalog and process purchases. Use the endpoints to configure virtual items, virtual currencies, game keys, bundles, cart and payment flows, item attributes, and import items from external sources.
Request
Used for client-to-server integration. Creates an order with all items from the cart and generates a payment token for it. The created order gets the new order status.
The client IP is used to determine the user’s country, which is then used to apply the corresponding currency and available payment methods for the order.
To open the payment UI in a new window, use the following link: https://secure.xsolla.com/paystation4/?token={token}, where {token} is the received token.
For testing purposes, use this URL: https://sandbox-secure.xsolla.com/paystation4/?token={token}.
As this method uses the IP to determine the user’s country and select a currency for the order, it is important to only use this method from the client side and not from the server side. Using this method from the server side may cause incorrect currency determination and affect payment methods in Pay Station.
Project ID. You can find this parameter in your Publisher Account next to the name of the project.
Order price currency. Three-letter currency code per ISO 4217. Check the documentation for detailed information about currencies supported by Xsolla.
Creates an order in the sandbox mode. The option is available for those users who are specified in the list of company users.
- Mock serverhttps://xsolla.redocly.app/_mock/api/catalog/v2/project/{project_id}/payment/cart
- https://store.xsolla.com/api/v2/project/{project_id}/payment/cart
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X POST \
https://xsolla.redocly.app/_mock/api/catalog/v2/project/44056/payment/cart \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"sandbox": true,
"settings": {
"ui": {
"theme": "63295a9a2e47fab76f7708e1",
"desktop": {
"header": {
"is_visible": true,
"visible_logo": true,
"visible_name": true,
"visible_purchase": true,
"type": "normal",
"close_button": false
}
}
}
},
"custom_parameters": {
"character_id": "ingameUsername"
}
}'{ "order_id": 641, "token": "f4puMEFFDZcx9nv5HoNHIkPe9qghvBQo" }
Request
Used for client-to-server integration. Creates an order with a specified item and generates a payment token for it. The created order gets the new order status.
The client IP is used to determine the user’s country, which is then used to apply the corresponding currency and available payment methods for the order.
To open the payment UI in a new window, use the following link: https://secure.xsolla.com/paystation4/?token={token}, where {token} is the received token.
For testing purposes, use this URL: https://sandbox-secure.xsolla.com/paystation4/?token={token}.
As this method uses the IP to determine the user’s country and select a currency for the order, it is important to only use this method from the client side and not from the server side. Using this method from the server side may cause incorrect currency determination and affect payment methods in Pay Station.
Project ID. You can find this parameter in your Publisher Account next to the name of the project.
Order price currency. Three-letter currency code per ISO 4217. Check the documentation for detailed information about currencies supported by Xsolla.
Creates an order in the sandbox mode. The option is available for those users who are specified in the list of company users.
- Mock serverhttps://xsolla.redocly.app/_mock/api/catalog/v2/project/{project_id}/payment/item/{item_sku}
- https://store.xsolla.com/api/v2/project/{project_id}/payment/item/{item_sku}
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X POST \
https://xsolla.redocly.app/_mock/api/catalog/v2/project/44056/payment/item/booster_mega_1 \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"sandbox": true,
"quantity": 5,
"promo_code": "discount_code",
"settings": {
"ui": {
"theme": "63295a9a2e47fab76f7708e1",
"desktop": {
"header": {
"is_visible": true,
"visible_logo": true,
"visible_name": true,
"visible_purchase": true,
"type": "normal",
"close_button": false
}
}
}
},
"custom_parameters": {
"character_id": "ingameUsername"
}
}'{ "order_id": 641, "token": "f4puMEFFDZcx9nv5HoNHIkPe9qghvBQo" }